Uptimeify Docs
MonitorsIcmp monitors

Get ICMP Monitor

Returns details of a specific ICMP monitor.

GET /api/icmp-monitors/:icmpMonitorPublicId

The response contains the ICMP monitor itself and does not embed the full customer record.

Authentication

Requires a valid session.

  • Header: Authorization: Bearer <token>

Parameters

  • icmpMonitorPublicId (Path, required): ICMP monitor public UUID.

cURL

curl "https://YOUR_DOMAIN/api/icmp-monitors/22222222-2222-4222-8222-222222222222" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "id": 123,
  "organizationId": 1,
  "customerId": 10,
  "name": "Core Router",
  "hostname": "10.0.0.1",
  "port": null,
  "status": "active",
  "checkInterval": 30,
  "timeoutSeconds": 30,
  "config": {
    "packetSize": 56,
    "count": 3
  },
  "notificationPhoneNumber": null,
  "notificationEmail": null,
  "lastCheckedAt": null,
  "createdAt": "2026-02-26T12:00:00.000Z",
  "updatedAt": "2026-02-26T12:00:00.000Z",
  "icmpConfig": {
    "packetSize": 56,
    "count": 3
  }
}

Errors

  • 400 ICMP monitor public ID (UUID) required
  • 401 Unauthorized
  • 403 Forbidden
  • 404 ICMP monitor not found

On this page